{% spaceless %}{% load site_configs_tags %}
{% load yandex_market_api %}
{% load purchase_info_tags %}
{% load thumbnail %}
{% get_configs 'common.Settings' as settings %}
{% endspaceless %}<?xml version="1.0" encoding="UTF-8"?>
<yml_catalog date="{{ now|date:'Y-m-d H:i' }}">
    <shop>
        <name>{{ settings.yandex_market_shop_name }}</name>
        <company>{{ settings.yandex_market_shop_company }}</company>
        <url>{{ scheme }}://{{ request.get_host }}</url>
        <currencies>
          <currency id="RUR" rate="1"/>
        </currencies>
        <categories>
            {% for category in categories %}
                {% with category.get_parent as category_parent %}
                    <category id="{{ category.id }}" {% if category_parent %}parentId="{{ category_parent.id }}"{% endif %}>
                        {{ category.name }}
                    </category>
                {% endwith %}
            {% endfor %}
        </categories>
        <offers>
        {% for product in products %}
            {% purchase_info_for_product request product as session %}
            {% with session.price as price %}
            {% with session.availability.is_available_to_buy as is_available_to_buy %}
            {% with price.has_range_discount as has_range_discount %}
            {% with product.categories.first as category %}
            {% if category %}
            {% if is_available_to_buy %}
            <offer id="{{ product.id }}" available="{{ is_available_to_buy|lower }}">
                <url>{{ scheme }}://{{ request.get_host }}{{ product.get_absolute_url }}</url>
                <name>{{ product.get_title }}</name>
                <description><![CDATA[{{ product.description|yandex_api_process_text|safe }}]]></description>
                {% if has_range_discount %}
                    <price>
                        {% if price.is_tax_know %}
                            {{ price.incl_range_discount_incl_tax|floatformat:0 }}
                        {% else %}
                            {{ price.incl_range_discount_excl_tax|floatformat:0 }}
                        {% endif %}
                    </price>
                    <oldprice>
                        {% if price.is_tax_know %}
                            {{ price.incl_tax|floatformat:0 }}
                        {% else %}
                            {{ price.excl_tax|floatformat:0 }}
                        {% endif %}
                    </oldprice>
                {% else %}
                    <price>
                    {% if price.is_tax_know %}
                        {{ price.incl_tax|floatformat:0 }}
                    {% else %}
                        {{ price.excl_tax|floatformat:0 }}
                    {% endif %}
                    </price>
                {% endif %}
                <currencyId>RUR</currencyId>
                <vendorCode>{{ product.upc }}</vendorCode>	
                <categoryId>{{ product.categories.first.pk }}</categoryId>
                <delivery>{% if product.forbidden_for_delivery %}false{% else %}true{% endif %}</delivery>
                <pickup>true</pickup>
                <store>{{ is_available_to_buy|lower }}</store>
                {% if product.attr.modeli  %}
                <model>{{ product.attr.modeli }}</model>
                {% endif %}
                {% if product.attr.proizvoditel  %}
                <vendor>{{ product.attr.proizvoditel }}</vendor>
                {% endif %}
                {% if product.attr.strana_proizvodstva  %}
                <country_of_origin>{{ product.attr.strana_proizvodstva }}</country_of_origin>
                {% endif %}
                {% for attribute_value in product.attribute_values.all %}
                    {% if attribute_value.value %}
                    <param name="{{ attribute_value.attribute.name }}">{{ attribute_value.value_as_text }}</param>
                    {% endif %}
                {% endfor %}
                {% for image in product.active_images.all %}
                    {% thumbnail image.original "650" padding=True as thumb %}
                        <picture>{{ scheme }}://{{ request.get_host }}{{ thumb.url }}</picture>
                    {% endthumbnail %}
                {% endfor %}
            </offer>
            {% endif %}
            {% endif %}
            {% endwith %}
            {% endwith %}
            {% endwith %}
            {% endwith %}
        {% endfor %}
        </offers>
        <promos>
          {% for product in products_with_presents %}
            <promo id="{{ product.id }}Present" type="gift with purchase">
              <description>Купи {{ product.get_title }} и получи {{ product.present.get_title }} в подарок.</description>
              <url>{{ scheme }}://{{ request.get_host }}{{ product.get_absolute_url }}</url>
              <purchase>
                <product offer-id="{{ product.id }}"/>
              </purchase>
              <promo-gifts>
                <promo-gift offer-id="{{ product.present.id }}"/>
              </promo-gifts>
          </promo>
        {% endfor %}
        </promos>
    </shop>
</yml_catalog>
